V2.0

get

/ec-dc-svc/rest/v2.0/studies/{studyId}/{mode}/forms/{formId}/dataelements

Filters and retrieves a subject's data elements for a form or for a form-visit combination. The response also contains additional fields like dataFlag, eventInstanceNum and objectVersionNumber.

Request

Path Parameters
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example:
    40DB4EF4847849CCB24EFCCB71CDA436
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    active
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    9FCBB303F8D24A3FB7DABCACF7600629
Query Parameters
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    D803C898CCC6499693FE3D8D70FAF303

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DataElementDto50
Type: object
Data element extension adding dataFlag identifier inherited by higher versions
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top